Update
curl --request PATCH \
--url https://api.ngrok.com/event_subscriptions/{subscription_id}/sources/{type} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'ngrok-version: <ngrok-version>' \
--data '
{
"subscription_id": "<string>",
"type": "<string>"
}
'import requests
url = "https://api.ngrok.com/event_subscriptions/{subscription_id}/sources/{type}"
payload = {
"subscription_id": "<string>",
"type": "<string>"
}
headers = {
"ngrok-version": "<ngrok-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'ngrok-version': '<ngrok-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({subscription_id: '<string>', type: '<string>'})
};
fetch('https://api.ngrok.com/event_subscriptions/{subscription_id}/sources/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"uri": "<string>"
}Event Sources
Update
Update the type for which this event subscription will trigger
PATCH
/
event_subscriptions
/
{subscription_id}
/
sources
/
{type}
Update
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
The unique identifier for the Event Subscription that this Event Source is attached to.
Type of event for which an event subscription will trigger
Body
application/json
Was this page helpful?
⌘I